<div class="header-row">
  <!-- LEFT SEGMENT -->
  <div class="header-left">
    <div class="logo-segment noselect">
      <div class="logo-img">
        <app-logo width="42" height="42"></app-logo>
      </div>

      <div class="logo-name">
        <div class="logo-name-main">
          <div class="logo-name-background">Provo</div>
        </div>
      </div>
    </div>

    <div class="menu-btn-wrapper">
      <ion-menu-button
        matTooltip="{{ 'TOOLTIPS.MENU' | translate }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        autoHide="false"
        (click)="onMenuClick()"
      ></ion-menu-button>
    </div>
  </div>

  <!-- RIGHT SEGMENT -->
  <div class="header-right">
    <div class="theme-segment noselect bottom-right-absolute">
      <div>{{ latency }} ms</div>
      <div class="subsegment" *ngIf="!isProduction">{{ clientid }}</div>
    </div>

    <div class="theme-segment noselect action-button">
      <ion-button
        color="dark"
        size="small"
        fill="clear"
        matTooltip="{{
          (isGlobalMuted ? 'TOOLTIPS.UNMUTE' : 'TOOLTIPS.MUTE') | translate
        }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        (click)="onMute()"
      >
        <ion-icon
          color="medium"
          name="volume-mute-outline"
          *ngIf="isGlobalMuted"
        ></ion-icon>
        <ion-icon
          color="medium"
          name="volume-high-outline"
          *ngIf="!isGlobalMuted"
        ></ion-icon>
      </ion-button>
    </div>

    <div class="theme-segment noselect action-button">
      <ion-button
        color="dark"
        size="small"
        fill="clear"
        matTooltip="{{ 'TOOLTIPS.MINIMIZE' | translate }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        (click)="onMinimize()"
      >
        _
      </ion-button>
    </div>

    <div class="theme-segment noselect action-button">
      <ion-button
        color="dark"
        size="small"
        fill="clear"
        matTooltip="{{ 'TOOLTIPS.CLOSE' | translate }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        (click)="onClose()"
      >
        <ion-icon name="close-outline"></ion-icon>
      </ion-button>
    </div>

    <!-- THEME -->
    <!-- <div
      class="theme-segment hover-target noselect"
      mat-button
      [matMenuTriggerFor]="thememenu"
      matTooltip="{{ 'HEADER.THEME' | translate }}"
    >
      <ion-icon name="{{ currentTheme.icon }}"></ion-icon>
    </div>
    <mat-menu class="sub-context-menu" #thememenu="matMenu">
      <div *ngFor="let theme of availableThemes">
        <button
          class="sub-menu-btn"
          [ngClass]="{
            active: currentTheme.name.toUpperCase() === theme.name.toUpperCase()
          }"
          mat-menu-item
          (click)="onSwitchTheme(theme)"
          *ngIf="!theme.hidden"
        >
          <div class="sub-menu-icon">
            <ion-icon name="{{ theme.icon }}"></ion-icon>
          </div>
          <span class="sub-menu-label">{{ theme.code | translate }}</span>
        </button>
      </div>
    </mat-menu> -->

    <!-- LANGUAGE -->
    <!-- <div
      class="language-segment hover-target noselect"
      mat-button
      [matMenuTriggerFor]="languagemenu"
      matTooltip="{{ 'HEADER.LANGUAGE' | translate }}"
    >
      {{ currentLanguage }}
    </div>
    <mat-menu class="sub-context-menu" #languagemenu="matMenu">
      <button
        class="sub-menu-btn"
        [ngClass]="{ active: currentLanguage === lang.toUpperCase() }"
        mat-menu-item
        (click)="onSetLanguage(lang)"
        *ngFor="let lang of availableLanguages"
      >
        <span class="sub-menu-label">{{ lang.toUpperCase() }}</span>
      </button>
    </mat-menu> -->
  </div>
</div>
